List Beneficiaries
GET/beneficiariesDescription
List all beneficiaries for your account, most recent first. Results are paginated with a cursor.
Headers
| Header | Description | Required |
|---|---|---|
| Authorization | Bearer token with your API key | yes |
Query Parameters
| Name | Type | Description | Required |
|---|---|---|---|
| limit | number | Maximum number of results to return (default 20, max 100). | no |
| starting_after | string | A beneficiary id to paginate forward from. | no |
Example Request
const response = await fetch('https://checkout-api.exodus-int.com/beneficiaries?limit=20', {
headers: {
Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
},
});Response
SUCCESSFUL RESPONSE
{
"object": "list",
"data": [
{
"id": "ben_1a2b3c",
"object": "beneficiary",
"name": "Acme Inc",
"status": "registered",
"bank_account": { "type": "SEPA", "iban_last4": "3000", "country": "DE" },
"created_at": "2026-06-04T12:00:00Z"
}
],
"has_more": false
}